List connections#

Description#

A pageable endpoint to list data connections between features of the Workiva platform. When filtering by source or destination, the corresponding ID is required.

GET /api/v1/connections

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

sourceType

query

string

false

The type of file or item the connection pulls data from

destinationType

query

string

false

The type of file or item the connection sends data to

sourceId

query

string

false

The ID of the file or item the connection pulls data from

destinationId

query

string

false

The ID of the file or item the connection sends data to

cursor

query

string

false

A paging cursor; if included, limit is ignored

limit

query

integer(int32)

false

The number of connections to return, from 1 to 1000; by default, 1000

offset

query

integer(int64)

false

The item to start with on the page, greater than or equal to 0; by default, 0

Enumerated Values#

Parameter

Value

sourceType

document

sourceType

document_chart

sourceType

document_embedded_table

sourceType

esg_program

sourceType

presentation

sourceType

presentation_chart

sourceType

presentation_embedded_table

sourceType

report

sourceType

spreadsheet

sourceType

spreadsheet_section

sourceType

wdata_query

sourceType

wdata_table

sourceType

wdata_table_dataset

destinationType

document

destinationType

document_chart

destinationType

document_embedded_table

destinationType

presentation

destinationType

presentation_chart

destinationType

presentation_embedded_table

destinationType

report

destinationType

spreadsheet

destinationType

spreadsheet_section

destinationType

wdata_query

destinationType

wdata_table

destinationType

wdata_table_dataset

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/connections \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/connections \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/connections" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/connections', headers = headers)

print(r.json())

Returns#

200 - OK#

undefined

Example Responses#

{
  "body": [
    {
      "connectionId": "string",
      "created": "string",
      "createdBy": "string",
      "description": "string",
      "destinationId": "string",
      "destinationType": "string",
      "destinationWorkspaceId": "string",
      "lastRun": {
        "connectionId": "string",
        "created": "string",
        "createdBy": "string",
        "destinationMetadata": {},
        "destinationParameters": {},
        "destinationStatus": "string",
        "destinationWorkspaceId": "string",
        "error": "string",
        "jobId": "string",
        "sourceMetadata": {},
        "sourceParameters": {},
        "sourceStatus": "string",
        "sourceWorkspaceId": "string",
        "updated": "string",
        "workspaceId": "string"
      },
      "lastRunBy": "string",
      "lastRunDate": "string",
      "lastRunDestinationParameters": {},
      "lastRunJobId": "string",
      "lastRunSourceParameters": {},
      "metadata": {},
      "name": "string",
      "sourceId": "string",
      "sourceType": "string",
      "sourceWorkspaceId": "string",
      "updated": "string",
      "workspaceId": "string"
    }
  ],
  "code": "integer",
  "cursor": "string"
}